#ifndef MY_MAIN_H
#define MY_MAIN_H

#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>
#include <unistd.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/poll.h>
#include <sys/wait.h>
#include <time.h>

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>


#define MY_MAX_MNR     64
#define MY_MAX_MSG   1023

#define LOG_LINES     256
#define LOG_LINE_MAX  256

#define ERRMSG1 "ENOMSGQ: message queue not available\n"

void insert_in_buffer (char * data);
void log_event ( /* GtkWidget *widget, gpointer *data  */);
void switch_to_normal ();
void switch_to_warn (char * msg, char * details);


#endif
